
Name:		f24-kde-theme
Summary:	Fedora Twenty Four KDE Theme
Version:	24.3
Release:	1%{?dist}

License:	GPLv2+ and CC-BY-SA

# We are upstream for this package
URL:		https://fedorahosted.org/fedora-kde-artwork/
Source0:	https://fedorahosted.org/releases/f/e/fedora-kde-artwork/%{name}-%{version}.tar.bz2
BuildArch:	noarch

Requires:	f24-backgrounds-kde
Requires:       f24-kde-theme-core

Provides:	f24-plasma-desktoptheme = %{version}-%{release}
Provides:	f24-plasma-theme = %{version}-%{release}

# replace it later for F25
%if 0%{?fedora} > 24
Provides:	system-kde-theme = %{version}-%{release}
Provides:	system-ksplash-theme = %{version}-%{release}
Provides:	systesm-plasma-desktoptheme = %{version}-%{release}
Provides:	system-plasma-theme = %{version}-%{release}
%endif

%if 0%{?fedora} == 24
Provides:	system-kde-theme = %{version}-%{release}
Provides:	system-ksplash-theme = %{version}-%{release}
Provides:	system-plasma-desktoptheme = %{version}-%{release}
Provides:	system-plasma-theme = %{version}-%{release}
%endif

%description
This is Fedora Twenty Four KDE Theme Artwork containing Plasma Workspaces theme.


%prep
%setup -q

%build

%install
### Look and feel
mkdir -p %{buildroot}%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.four/
cp -rp lookandfeel/* \
  %{buildroot}%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.four/
mkdir -p %{buildroot}%{_datadir}/kservices5/
cp -alf \
  %{buildroot}%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.four/metadata.desktop \
  %{buildroot}%{_datadir}/kservices5/plasma-lookandfeel-org.fedoraproject.fedora.twenty.four.desktop

### Plasma desktoptheme's
mkdir -p %{buildroot}%{_datadir}/plasma/desktoptheme/
cp -rp desktoptheme/F24/ %{buildroot}%{_datadir}/plasma/desktoptheme/


%files
%doc README
%license COPYING.CC-BY-SA COPYING.GPLv2
%dir %{_datadir}/plasma/
%dir %{_datadir}/plasma/desktoptheme/
%{_datadir}/plasma/desktoptheme/F24/
%dir %{_datadir}/plasma/look-and-feel/
%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.four/
%dir %{_datadir}/kservices5/
%{_datadir}/kservices5/plasma-lookandfeel-org.fedoraproject.fedora.twenty.four.desktop


%changelog
* Wed May 18 2016 Rex Dieter <rdieter@fedoraproject.org> - 24.3-1
- lookandfeel/plasmoidsetupscripts => lookandfeel/contents/plasmoidsetupscripts

* Thu Apr 21 2016 Rex Dieter <rdieter@fedoraproject.org> - 24.2-1
- org.kde.plasma.kickoff.js: use [General] config group

* Tue Apr 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 24.1-1
- add lookandfeel/plasmoidsetupscripts/org.kde.plasma.kickoff.js

* Tue Mar 29 2016 Rex Dieter <rdieter@fedoraproject.org> - 24.0-3
- fix (parent) dir ownership

* Mon Mar 28 2016 Rex Dieter <rdieter@fedoraproject.org> - 24.0-2
- use %%license

* Mon Mar 28 2016 Rex Dieter <rdieter@fedoraproject.org> 24.0-1
- f24-kde-theme
